﻿version: '3.9'
services:
  cassandra1:
    image: cassandra:latest
    volumes:
      - cassandra1-data:/var/lib/cassandra
    environment:
      - CASSANDRA_SEEDS=cassandra1
      - CASSANDRA_CLUSTER_NAME=TestCluster
      - CASSANDRA_DC=tc1
      - CASSANDRA_ENDPOINT_SNITCH=GossipingPropertyFileSnitch
      - CASSANDRA_NUM_TOKENS=256
      - MAX_HEAP_SIZE=1024M
      - HEAP_NEWSIZE=128M
      - CASSANDRA_RACK=rack1
    ports: [ '9042:9042' ]
    ulimits:
      memlock: -1
      nproc: 32768
      nofile: 100000
volumes: 
  cassandra1-data:
...